{smcl}
{* *! version 0.25  29jul2020}{...}
{hline}
help for {hi:predict_ldm} version 0.25 BETA!!!
{hline}

{title:Uses the Linear Discriminant Model to Produce Better Predicted Probabilities from Linear Probability Models}

{marker description}{...}
{title:Description}

{pstd} Logit (or Probit) models are generally preferred when analyzing binary 
outcomes. Such models usually produce the most accurate estimates, but they can
also take a long time to estimate and have convergence problems. Some researchers
therefore prefer the faster Linear Probability Model (LPM), which is
estimated by using Ordinary Least Squares Regression. However, the LPM can 
produce implausible or impossible predictions, such as predicted
probabilities that are less than 0 or greater than 1.
{cmd:predict_ldm} aims to provide the best features of both approaches.

{pstd}
{cmd:predict_ldm} is used after running the
regress command with a binary dependent variable.  It produces yhat,
a variable containing the usual predicted values from a linear 
regression, and yhat_ldm, a variable containing predicted 
probabilities that are bounded by (0,1). These are based on a linear
discriminant model. OLS coefficients are "corrected" to become logistic
coefficients, which are then used to generate predictions based on the
logistic model. {cmd:predict_ldm} predicted probabities are typically more accurate than those
created by OLS and estimation can sometimes be much faster than when using
logistic regression. See G.W. Haggstrom (1983) for details.

{marker examples}{...}
{title:Example}

{p 8 12 2}{cmd:webuse mroz, clear}{p_end}
{p 8 12 2}{cmd:reg inlf kidslt6 age educ exper c.exper#c.exper}{p_end}
{p 8 12 2}{cmd:predict_ldm}{p_end}

{p 8 12 2}{cmd:* To assess how well predict_ldm has worked, do the following.}{p_end}
{p 8 12 2}{cmd:* Note that the predicted probabilities from OLS}{p_end}
{p 8 12 2}{cmd:* range from less than zero to greater than one}{p_end}
{p 8 12 2}{cmd:* while the ranges of predicted values from logit and predict_ldm}{p_end}
{p 8 12 2}{cmd:* are very similar.}{p_end}


{p 8 12 2}{cmd:logit inlf kidslt6 age educ exper c.exper#c.exper}{p_end}
{p 8 12 2}{cmd:predict yhat_logit}{p_end}
{p 8 12 2}{cmd:summarize yhat yhat_ldm yhat_logit}{p_end}
{p 8 12 2}{cmd:corr yhat yhat_ldm yhat_logit}{p_end}


{marker authors}{...}
{title:Authors}

{p 5 5}
Paul Allison, University of Pennsylvania, Department of Sociology{break}
Richard Williams, University of Notre Dame, Department of Sociology{break}
Support: rwilliam@ND.Edu{break}
